Bug 806072 - Null pointer dereference at 0000000000000004 in skb_head_state+0x27/0x100
Null pointer dereference at 0000000000000004 in skb_head_state+0x27/0x100
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kernel_hibernate
  Show dependency treegraph
 
Reported: 2012-03-22 16:21 EDT by Jirka Daněk
Modified: 2012-05-14 14:03 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-14 14:03:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshoot ot the error message with stacktrace (3.35 MB, image/jpeg)
2012-03-22 16:21 EDT, Jirka Daněk
no flags Details

  None (edit)
Description Jirka Daněk 2012-03-22 16:21:52 EDT
Created attachment 572076 [details]
Screenshoot ot the error message with stacktrace

Description of problem:
When I came back to my computer after about half an hour, I have found it frozen displaying the message in the screenshoot. The general structure is following:

BUG: Unable to handle kernel null pointer dereference at 0000000000000004
IP: [<ffffffff8154fad7>] skb_head_state+0x27/0x100
PDG: 106941067 PUD 1089a4067 PMD 0

list of loaded modules

register content

stack content

stack trace starting with call to __kfree_skb
and ending with call to gs_change

then it says that Kernel panic - not syncing - fatal exception in interrupt

Version-Release number of selected component (if applicable):
uname -a
Linux private 3.3.0-0.rc5.git3.1.fc18.x86_64 #1 SMP Wed Feb 29 21:26:31 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

How reproducible:
I do not know, it happened only once. Before, I have been suspending the system to disc for a few days every day and working mostly with PostgreSQL, web browsers, LibreOffice and SageMath, but that is probably irrelevant.

Steps to Reproduce:
Hope the stacktrace in the screenshoot may tell you
  
Actual results:
Kernel panic

Expected results:
No kernel panic
Comment 1 Dave Jones 2012-03-22 17:25:02 EDT
had that machine been hibernated at all ?
Comment 2 Jirka Daněk 2012-03-23 11:22:36 EDT
> had that machine been hibernated at all ?

I have hibernated and resumed the machine several times before, as I wrote in the bugreport.
Comment 3 Dave Jones 2012-03-23 12:40:45 EDT
ok, this is probably a symptom of the random memory corruption problem we've been chasing.
Comment 4 Josh Boyer 2012-03-28 14:03:08 EDT
[Mass hibernate bug update]

Dave Airlied has found an issue causing some corruption in the i915 fbdev after a resume from hibernate.  I have included his patch in this scratch build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=3940545

This will probably not solve all of the issues being tracked at the moment, but it is worth testing when the build completes.  If this seems to clear up the issues you see with hibernate, please report your results in the bug.

Note You need to log in before you can comment on or make changes to this bug.